commit:     50b1db00bb4502b6d6dc09a8f947f2cf425c1dc8
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 27 17:02:39 2020 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Fri Mar 27 17:03:53 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50b1db00

www-apps/piwigo: 2.10.2 bump

Mostly PHP 7.4 and security fixes (already in 2.10.1-r1)

Package-Manager: Portage-2.3.96, Repoman-2.3.21
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 www-apps/piwigo/Manifest             |  1 +
 www-apps/piwigo/piwigo-2.10.2.ebuild | 44 ++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/www-apps/piwigo/Manifest b/www-apps/piwigo/Manifest
index cef096e6fc2..a2413d8004b 100644
--- a/www-apps/piwigo/Manifest
+++ b/www-apps/piwigo/Manifest
@@ -1 +1,2 @@
 DIST piwigo-2.10.1.zip 17155920 BLAKE2B 
2f25d6c4488d9208bd37ad98b2ddfa302d23600442165d5513c8b21c72d017c17ef1c10357009110ba79259ee5a4f0a9495a423235c98cd8d5003ba83bd9b980
 SHA512 
9ca1119db13f312d16a7a3f04564562b26abd45b6ee731cd2280192fff14384add077a3a14a139f7b5301008c6c702a302de76a3a23873b835ec8417127aa77f
+DIST piwigo-2.10.2.zip 17391322 BLAKE2B 
9982b398b8f3ead6bb5e70b34508d868e2a7440c1fe2d066f659d1a04e90f3239af0b63c2bcdc2fa250edab216acd155d5201d2634c30b275008f25bd0a5e7d0
 SHA512 
b75359a5ca1fd863de766eaf46dee64fc36482162fd1013bb95fd98553ae1135f9eafd584929a8d0f4dd074e9231978e84917e557de328786c6060098ab3734b

diff --git a/www-apps/piwigo/piwigo-2.10.2.ebuild 
b/www-apps/piwigo/piwigo-2.10.2.ebuild
new file mode 100644
index 00000000000..c8dbcb4fbb8
--- /dev/null
+++ b/www-apps/piwigo/piwigo-2.10.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit webapp
+
+DESCRIPTION="a photo gallery software for the web"
+HOMEPAGE="http://piwigo.org/";
+SRC_URI="http://piwigo.org/download/dlcounter.php?code=${PV} -> ${P}.zip"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="+exif +gd imagemagick"
+
+DEPEND=""
+RDEPEND="
+       imagemagick? ( virtual/imagemagick-tools )
+       dev-lang/php[ctype,exif?,gd?,filter,iconv,json,mysqli]
+       >=virtual/mysql-5.0
+       virtual/httpd-php"
+BDEPEND="app-arch/unzip"
+
+REQUIRED_USE="|| ( gd imagemagick )"
+
+S=${WORKDIR}/${PN}
+
+src_install() {
+       webapp_src_preinst
+
+       insinto "${MY_HTDOCSDIR}"
+       doins -r .
+
+       # Local configuration, and parts that can be updated
+       webapp_serverowned "${MY_HTDOCSDIR}"/_data
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/galleries
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/language
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/local
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/plugins
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/template-extension
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/themes
+       webapp_serverowned "${MY_HTDOCSDIR}"/upload
+
+       webapp_src_install
+}

Reply via email to